//---------------------------------------------------------------------------

#ifndef uMainH
#define uMainH
//---------------------------------------------------------------------------
#include "uExecuteWatchGobal.h"

#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.ListBox.hpp>
#include <FMX.Types.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.Memo.hpp>
#include <FMX.ScrollBox.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Edit.hpp>
#include <FMX.Objects.hpp>
//---------------------------------------------------------------------------
class TMain : public TForm
{
__published:	// IDE-managed Components
  TListBox *ListBox1;
  TTimer *Timer1;
  TMemo *Memo1;
  TButton *Button1;
  TPanel *Panel1;
  TStatusBar *StatusBar1;
  TSplitter *Splitter1;
  TSplitter *Splitter2;
  TPanel *Panel2;
  TPanel *Panel3;
  TEdit *Edit1;
  TButton *Button2;
  TPanel *Panel4;
  TPanel *Panel5;
  TSplitter *Splitter3;
  TSplitter *Splitter4;
  TImage *Image1;
  TLabel *Label1;
  TStyleBook *StyleBook1;
  TCircle *Circle1;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Image1Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
  TDosCmd *m_Dos;
  TCriticalSection *m_cs;
  TStringList *m_slExeList, *m_slReadOutList;
  String m_Assert;
  DWORD m_ErrorCode;

  void __fastcall m_OnReadOut(TObject *Sender, String aStr);
  void __fastcall m_OnProcessTerminate(TObject *Sender, String aStr);
  void __fastcall m_OnException(TObject *Sender, String aStr);
public:		// User declarations
  __fastcall TMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMain *Main;
//---------------------------------------------------------------------------
#endif
